# httpd

<https://man.openbsd.org/httpd.8>
<https://man.openbsd.org/httpd.conf.5>

## Configuration

minimale, le serveur chroot(8) dans /var/www par defaut:

~~~
server "default" {
    listen on * port 80
    root "/htdocs"
}
~~~

## Administration

Vérifier la configuration :

~~~
# httpd -n
~~~

Lancer en mode debug :

~~~
# httpd -dvvv
~~~

Lancer le démon avec rcctl(8): 

~~~
# rcctl enable httpd
# rcctl start httpd
~~~

Stopper le démon :

~~~
# rcctl stop httpd
~~~

Pour définir des arguments au démarrage du démon, on peut les
rajouter a rc.conf(8).